

%define dolphinprivate_major 5
%define libdolphinprivate %mklibname dolphinprivate %{dolphinprivate_major}
%define dolphinvcs_major 5
%define libdolphinvcs %mklibname dolphinvcs %{dolphinvcs_major}
%define dolphin_devel %mklibname dolphin -d

Summary:        File manager for KDE focusing on usability
Name:           dolphin
Version: 		23.08.5
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Source1:		org.kde.dolphin.desktop
Patch0:         main.cpp.diff
URL:            https://www.kde.org/
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5concurrent-devel

BuildRequires:  kf5-macros
BuildRequires:  kactivities5-devel
BuildRequires:  baloo5-devel
BuildRequires:  kfilemetadata5-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kinit-devel
BuildRequires:  kcmutils-devel
BuildRequires:  knewstuff-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kbookmarks-devel
BuildRequires:  kconfig-devel 
BuildRequires:  kio-devel
BuildRequires:  solid-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kparts
BuildRequires:  ktexteditor-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  knotifications-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  kdelibs4support-devel

BuildRequires:  baloo-widgets-devel

Requires:       kio
Requires:       kio-extras
Requires:       kinit

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
Dolphin is a file manager for KDE focusing on usability.
The main features of Dolphin are:
- Navigation bar for URLs, which allows to navigate quickly
     through the file hierarchy.
- View properties are remembered for each folder.
- Split of views is supported.
- Network transparency.
- Undo/redo functionality.
- Renaming of a variable number of selected items in one step.

Dolphin is not intended to be a competitor to Konqueror: Konqueror
acts as universal viewer being able to show HTML pages, text documents,
directories and a lot more, whereas Dolphin focuses on being only a file
manager. This approach allows to optimize the user interface for the task
of file management.

%files
%{_bindir}
%{_datadir}
%{_libdir}

%exclude %{_includedir}
%exclude %{_libdir}/cmake
%exclude %{_libdir}/*.so
%exclude %_docdir/HTML

%package handbook
Summary: %{name} Handbook
Group: Documentation
Requires: %name
BuildArch: noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_docdir/HTML

#--------------------------------------------------------------------
%package -n %dolphin_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name
Provides:       %name-devel = %{version}-%{release}


%description -n %dolphin_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %dolphin_devel
%{_includedir}
%{_libdir}/cmake
%{_libdir}/*.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
mkdir -p build
cmake ../%name-%version \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_INSTALL_LIBDIR=/usr/lib64 \
    -DBUILD_TESTING=OFF
make


%install
rm -rf %buildroot
make DESTDIR="%buildroot" install

rm -rf %buildroot/%{_prefix}/lib/systemd

#menu
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

